<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ( class_exists( 'LearnDash_Settings_Page' ) ) && ( ! class_exists( 'LearnDash_Upsells_Settings_Page' ) ) ) {
	/**
	 * Class LearnDash Settings Page Advanced.
	 */
	class LearnDash_Upsells_Settings_Page extends LearnDash_Settings_Page {

		/**
		 * Public constructor for class
		 */
		public function __construct() {

			$this->parent_menu_page_url  = 'admin.php?page=learndash_lms_settings';
			$this->menu_page_capability  = LEARNDASH_ADMIN_CAPABILITY_CHECK;
			$this->settings_page_id      = 'ldups_upsell_settings';
			$this->settings_page_title   = esc_html__( 'UpSells', 'ldups-upsells' );
			$this->settings_tab_priority = 120;

			add_action( 'learndash_settings_page_init', array( $this, 'ldups_upsells_settings_page_init' ), 10, 1 );

			parent::__construct();
		}

		/**
		 * Settings page init.
		 *
		 * Called from `learndash_settings_page_init` action.
		 *
		 * @param string $settings_page_id   Settings Page ID.
		 */
		public function ldups_upsells_settings_page_init( $settings_page_id ) {
			$this->show_submit_meta      = true;
			$this->show_quick_links_meta = false;
			$this->settings_columns      = 2;
		}
	}
}
add_action(
	'learndash_settings_pages_init',
	function() {
		LearnDash_Upsells_Settings_Page::add_page_instance();
	}
);
